ubuntu-location-service: com::ubuntu::location::NewerOrMoreAccurateUpdateSelector Class Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Types | Public Member Functions | List of all members
com::ubuntu::location::NewerOrMoreAccurateUpdateSelector Class Reference

`#include <newer_or_more_accurate_update_selector.h>`

Inheritance diagram for com::ubuntu::location::NewerOrMoreAccurateUpdateSelector:
Collaboration diagram for com::ubuntu::location::NewerOrMoreAccurateUpdateSelector:

## Public Types
typedef std::shared_ptr< NewerOrMoreAccurateUpdateSelector > | Ptr
Public Types inherited from com::ubuntu::location::UpdateSelector
typedef std::shared_ptr< UpdateSelector > | Ptr

## Public Member Functions
WithSource< Update< Position > > | select (const WithSource< Update< Position >> &older, const WithSource< Update< Position >> &newer) override
Public Member Functions inherited from com::ubuntu::location::UpdateSelector
| UpdateSelector (const UpdateSelector &)=delete
UpdateSelector & | operator= (const UpdateSelector &)=delete
virtual | ~UpdateSelector ()=default

## Additional Inherited Members
Protected Member Functions inherited from com::ubuntu::location::UpdateSelector
| UpdateSelector ()=default

## Detailed Description

Definition at line 29 of file newer_or_more_accurate_update_selector.h.

## Member Typedef Documentation

## ◆ Ptr

typedef std::shared_ptr<NewerOrMoreAccurateUpdateSelector> com::ubuntu::location::NewerOrMoreAccurateUpdateSelector::Ptr

Definition at line 32 of file newer_or_more_accurate_update_selector.h.

## Member Function Documentation

## ◆ select()

WithSource<Update<Position> > com::ubuntu::location::NewerOrMoreAccurateUpdateSelector::select | ( | const WithSource< Update< Position >> & | older,
|  | const WithSource< Update< Position >> & | newer
| ) |  |
| inlineoverridevirtual

Implements com::ubuntu::location::UpdateSelector.

Definition at line 34 of file newer_or_more_accurate_update_selector.h.

The documentation for this class was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/newer_or_more_accurate_update_selector.h